import Component from '../../component.js'
import CoEuiToolbarLogo from './eui-toolbar-logo.js'
import CoEuiToolbarEnvironment from './eui-toolbar-environment.js'
import CoEuiToolbarApp from './eui-toolbar-app.js'
import CoEuiToolbarItems from './eui-toolbar-items.js'


export default class CoEuiToolbar extends Component {
  constructor(parent) {
    let selector = 'eui-toolbar';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components-next/src/lib/layout/eui-toolbar/toolbar.component.html
  }
  get euiToolbarLogoCO() {
    return new CoEuiToolbarLogo(this.currentPath);
  }
  async hasHeaderLogo() {
    return await (await $(this.euiToolbarLogoCO.currentPath)).isExisting();
  }
  get euiToolbarEnvironmentCO() {
    return new CoEuiToolbarEnvironment(this.currentPath);
  }
  async hasHeaderEnvironment() {
    return await (await $(this.euiToolbarEnvironmentCO.currentPath)).isExisting();
  }
  get euiToolbarAppCO() {
    return new CoEuiToolbarApp(this.currentPath);
  }
  async hasAppName() {
    return await (await $(this.euiToolbarAppCO.currentPath)).isExisting();
  }
  get euiToolbarItemsCO() {
    return new CoEuiToolbarItems(this.currentPath);
  }
}


